#include "addressbook.h"
#include "data/addressbookdata.h"
#include "addressbookform.h"
#include "addressbookgrid.h"


Addressbook::Addressbook()
{
}

void Addressbook::initServiceUi()
{
    AddressbookGrid *grid = new AddressbookGrid();
    AddressbookForm *form = new AddressbookForm();

    m_service = new Service<AddressbookData>;
    m_ui = grid;
    ((AddressbookGrid *) m_ui)->setForm(form);
}












